This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 841589 - TCMS TestRun update does not update / refresh all case runs (as expected)
TCMS TestRun update does not update / refresh all case runs (as expected)
Status: CLOSED NOTABUG
Product: TCMS
Classification: Other
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: June Zhang
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 09:50 EDT by Frantisek Reznicek
Modified: 2015-11-15 20:14 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-06 08:41:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frantisek Reznicek 2012-07-19 09:50:57 EDT
Description of problem:

TCMS TestRun update does not update / refresh all case runs (as expected):

Let's have following scenario:
Test plan (6518) created with couple of test cases.
I created test runs for that plan (42191-4).
In the meantime some test case descriptions changed so I used test run update functionality to update caseruns to latest test case revisions.

This function succeeded but did not update all case runs as expected.

For instance:
  https://tcms.engineering.redhat.com/run/42191/
contains caserun 1284695 which still refers to test case 175957 revision 1 (rev 2 is last one existing).

Re-running test-run 42191 update does nothing.


Version-Release number of selected component (if applicable):
Nitrate 3.7.1

How reproducible:
100%

Steps to Reproduce:
1. Update https://tcms.engineering.redhat.com/run/42191/
   Showing 0 updates.
2. Check that caserun 1284695 still shows test case 175957 rev 1 instead of rev 2
3. Doublecheck that case 175957 contain two revisions:
   https://tcms.engineering.redhat.com/case/175957/history/?from_plan=
  
Actual results:
  Test run update does not perform all caserun updates.

Expected results:
  Test run update should perform all caserun updates.

Additional info:

  Workaround is to create new set of runs and transfer all info including from old test runs.
Comment 1 yawei Li 2012-07-20 04:25:25 EDT
Test run update only update the test case run in idle status, others won't be updated. There is a hint when mouse on "update".

So the non-idle test case run won't be updated.
Comment 2 Frantisek Reznicek 2012-07-20 07:23:05 EDT
OK, understood.
Is there a way how to update caserun when not in IDLE state or by definition (which makes sense to me) update can be performed in IDLE only?
Comment 3 yawei Li 2012-07-24 00:00:06 EDT
Current workflow is only IDLE case run can be synced to cases, if you want to sync some caserun, you can change the status to IDEL in batch, and update in batch.
It seems unacceptable to sync the caserun which is failed and passed.
Comment 4 Frantisek Reznicek 2012-08-06 08:41:47 EDT
Understood, closing as NOT-A-BUG.

Note You need to log in before you can comment on or make changes to this bug.